import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:thesis_shop/benchmark_counter.dart';
import 'package:thesis_shop/route_key.dart';
import 'package:thesis_shop/stores/cart_store.dart';

class CartButton extends ConsumerWidget {
  const CartButton() : super(key: const Key('cart_button'));

  @override
  Widget build(BuildContext context, ref) {
    final count = ref.watch(totalProductInCartCountProvider);
    BenchmarkCounters.cartButton++;
    return ElevatedButton.icon(
      onPressed: () => Navigator.of(context).pushRouteKey(RouteKey.cart),
      icon: const Icon(Icons.shopping_basket),
      label: Text('Warenkorb ($count Produkte)'),
    );
  }
}
