import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:thesis_shop/models/product.dart';
import 'package:thesis_shop/stores/cart_store.dart';
import 'package:thesis_shop/widgets/number_picker.dart';

class ProductItem extends ConsumerWidget {
  final Product product;
  const ProductItem({Key? key, required this.product}) : super(key: key);

  @override
  Widget build(BuildContext context, ref) {
    final count = ref.watch(cartStoreProvider)[product.title] ?? 0;
    return ListTile(
      title: Text('${product.title} (${product.priceAsString}€/Stück)'),
      trailing: NumberPicker(
        value: count,
        onUp: () => ref
            .read(cartStoreProvider.notifier)
            .increaseAmountOfProduct(product),
        onDown: () => ref
            .read(cartStoreProvider.notifier)
            .decreaseAmountOfProduct(product),
      ),
    );
  }
}
